﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace TEAMModelOS.SDK.Module.PowerPointX.Model
{
    public class PPTXText
    { 
        //文本
        public string Text { get; set; }
        //文本颜色
        public string TextColor { get; set; } = "000000";//黑色
        //字体大小
        public int FontSize { get; set; } = 1800;
        //字体
        public string Font { get; set; } = "default";
        //字体加粗
        public bool FontBold { get; set; } = false;
        //字体斜体
        public bool FontItalic { get; set; } = false;
        //0 没有线 1 下划线 2 删除线 3上划线
        public int FontLine { get; set; } = 0;
        //文字位置
        public string TextAlign { get; set; } = "l";

        /*
         *  Dash	7	
            文本下划线枚举 （虚线）。 当项目作为 xml 序列出时，其值为"虚线"。
            DashHeavy	8	
            文本下划线枚举 （粗虚线）。 当项目作为 xml 序列出时，其值为"dashHeavy"。
            DashLong	9	
            文本下划线枚举 （长虚）。 当项目作为 xml 序列出时，其值为"dashLong"。
            DashLongHeavy	10	
            文本下划线枚举 （粗 Long 虚线）。 当项目作为 xml 序列出时，其值为"dashLongHeavy"。
            DotDash	11	
            文本下划线枚举 （划线）。 当项目作为 xml 序列出时，其值为"dotDash"。
            DotDashHeavy	12	
            文本下划线枚举 （粗点划线）。 当项目作为 xml 序列出时，其值为"dotDashHeavy"。
            DotDotDash	13	
            文本下划线枚举 （点点划线）。 当项目作为 xml 序列出时，其值为"dotDotDash"。
            DotDotDashHeavy	14	
            文本下划线枚举 （粗点划线）。 当项目作为 xml 序列出时，其值为"dotDotDashHeavy"。
            Dotted	5	
            文本下划线枚举 （虚线）。 当项目作为 xml 序列出时，其值为"虚线"。
            Double	3	
            文本下划线枚举 (Double)。 当项目作为 xml 序列出时，其值为"双击"。
            Heavy	4	
            文本下划线枚举 （大量）。 当项目出序列化为 xml 时，其值为"高"。
            HeavyDotted	6	
            文本下划线枚举 （粗虚线）。 当项目作为 xml 序列出时，其值为"dottedHeavy"。
            None	0	
            文本下划线枚举 （无）。 项目为 xml 序列化出时, 其值为"none"。
            Single	2	
            文本下划线枚举 （单个）。 当项目作为 xml 序列出时，其值为"sng"。
            Wavy	15	
            文本下划线枚举 （波浪）。 当项目作为 xml 序列出时，其值为"波浪形"。
            WavyDouble	17	
            文本下划线枚举 (双波浪)。 当项目作为 xml 序列出时，其值为"wavyDbl"。
            WavyHeavy	16	
            文本下划线枚举 (粗波浪)。 当项目作为 xml 序列出时，其值为"wavyHeavy"。
            Words	1	
            文本下划线枚举 （字）。 当项目作为 xml 序列出时，其值为"单词"。
         */
    }
}
